Subject: Re: [Sipping] I-D ACTION:draft-ietf-sipping-uri-list-message-06.txt

From: Miguel Garcia <[email-masked]>
Date: Wed, 01 Feb 2006 15:46:41 +0200

Hi Jari:

Thanks for the comment. I think it is a good idea to add the <import> 
statement to the schema.

As a side-by comment: I think we shouldn't add a local file name, such 
as "xcap-list.xsd" the schemaLocation attribute. I first tried to 
include instead a permanent URI, such as 
http://www.iana.org/assignments/xml-registry/schema/resource-lists.xsd 
but there is an error with the file in IANA, because the first "<?xml" 
tag begins in the 3rd column of the first line, rather in than in the 
first column. I suspect all these files have been directly extracted 
from the RFC that leaves 2 empty spaces at the beginning, something that 
most validators, including http://validate.openlaboratory.net/ don't like.

So I am afraid we need to stick to the local file name.

BR,

       Miguel

Jari Urpalainen wrote:
>>  
>>
> Still another schema related comment. While there's an increasing amount 
> of i-d's that extend a base schema (mime-type defined) there's not a 
> BCP, AFAIK, how extension schemas should reference the base schemas. 
> With w3c schemas, a simple way to tell this to the validating process, 
> is to use <xs:import> or <xs:include> statements within the extension 
> schema. So I'd propose to add <xs:import> into this schema to explicitly 
> reference xcap-list schema:
> 
> <?xml version="1.0" encoding="UTF-8"?>
> <xs:schema targetNamespace="urn:ietf:params:xml:ns:capacity"
>       xmlns="urn:ietf:params:xml:ns:capacity"
>       xmlns:rls="urn:ietf:params:xml:ns:resource-lists"
>       xmlns:xs="http://www.w3.org/2001/XMLSchema"
>       elementFormDefault="qualified"
>       attributeFormDefault="unqualified">
> 
>  <xs:import namespace="urn:ietf:params:xml:ns:resource-lists"
>     schemaLocation="xcap-list.xsd"/>
> 
> ....
> 
> In pragmatic world, i.e. when you really try to validate a combination 
> of schemas you typically also have other means to "tell" this to the 
> validator, but this is a "standard w3c schema way". Anyhow, this sort of 
> explicit way is imo better than only clarifying text (which is ok and 
> desirable, of course).
> 
> In addition, this encouraged me to look at 
> <http://www.iana.org/assignments/xml-registry/schema.html>. This list 
> references schemas which have also namespace registrations, but not e.g. 
> those without namespace (Chameleon namespace design). Also relationships 
> of schemas are missing (like in this case) and e.g. no registrations for 
> RELAX NG schemas. Although this is another story, but there's definitely 
> some need for improvement here if the purpose of this table is to help 
> implementers, etc...
> br, Jari

-- 
Miguel A. Garcia           tel:+358-50-4804586
sip:[email-masked]
Nokia Research Center      Helsinki, Finland

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Jari Urpalainen <[email-masked]>
Date: Wed, 01 Feb 2006 15:14:07 +0200

ext [email-masked] wrote:

>A New Internet-Draft is available from the on-line Internet-Drafts directories.
>This draft is a work item of the Session Initiation Proposal Investigation Working Group of the IETF.
>
>	Title		: Multiple-Recipient MESSAGE Requests in the Session Initiation Protocol (SIP)
>	Author(s)	: M. Garcia-Martin, G. Camarillo
>	Filename	: draft-ietf-sipping-uri-list-message-06.txt
>	Pages		: 20
>	Date		: 2006-1-31
>	
>This document specifies how to request a SIP URI-list service to send
>   a copy of a MESSAGE to a set of destinations.  The client sends a SIP
>   MESSAGE request with a URI-list to the MESSAGE URI-list service,
>   which sends a similar MESSAGE request to each of the URIs included in
>   the list.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-ietf-sipping-uri-list-message-06.txt
>
>To remove yourself from the I-D Announcement list, send a message to 
>[email-masked] with the word unsubscribe in the body of the message.  
>You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
>to change your subscription settings.
>  
>

....

---

From: Miguel Garcia <[email-masked]>
Date: Thu, 02 Feb 2006 09:50:29 +0200

So, I have added Jari's suggestion to my working copy of this draft. I 
am planning to submit it on Monday. If anyone has any last-minute 
comment, we can bring it on board.

/Miguel

Miguel Garcia wrote:
>> Still another schema related comment. While there's an increasing 
>> amount of i-d's that extend a base schema (mime-type defined) there's 
>> not a BCP, AFAIK, how extension schemas should reference the base 
>> schemas. With w3c schemas, a simple way to tell this to the validating 
>> process, is to use <xs:import> or <xs:include> statements within the 
>> extension schema. So I'd propose to add <xs:import> into this schema 
>> to explicitly reference xcap-list schema:
>>
>> validator, but this is a "standard w3c schema way". Anyhow, this sort 
>> of explicit way is imo better than only clarifying text (which is ok 
>> and desirable, of course).
>>
>> references schemas which have also namespace registrations, but not 
>> e.g. those without namespace (Chameleon namespace design). Also 
>> relationships of schemas are missing (like in this case) and e.g. no 
>> registrations for RELAX NG schemas. Although this is another story, 
>> but there's definitely some need for improvement here if the purpose 
>> of this table is to help implementers, etc...
>> br, Jari
>